# QListView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemView.

### Constructor

- void QListView(QWidget parent)

### Constructor Properties

- prototype: The QListView prototype object
- Fixed
- Adjust
- ResizeMode( value )
- SinglePass
- Batched
- LayoutMode( value )
- ListMode
- IconMode
- ViewMode( value )
- LeftToRight
- TopToBottom
- Flow( value )
- Static
- Free
- Snap
- Movement( value )

### Prototype Object Properties

The QListView prototype object inherits properties from the QAbstractItemView prototype object and also has the following properties.

- void clearPropertyFlags()
- bool isRowHidden(int row)
- void setRowHidden(int row, bool hide)

### Instance Properties

QListView objects inherit properties from the QListView prototype object and also have the following properties.

- movement
- flow
- isWrapping
- resizeMode
- layoutMode
- spacing
- gridSize
- viewMode
- modelColumn
- uniformItemSizes
- batchSize
- wordWrap
- selectionRectVisible